Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
MessageBuffer Class Reference

This class is used by the LOG4CXX_INFO and similar macros to support insertion operators in the message parameter. More...

## Public Member Functions
| MessageBuffer ()
| Creates a new instance. More...
| ~MessageBuffer ()
| Destructor. More...
| operator std::ostream & ()
| Cast to ostream. More...
CharMessageBuffer & | operator<< (const std::string &msg)
| Appends a string into the buffer and fixes the buffer to use char characters. More...
CharMessageBuffer & | operator<< (const char *msg)
| Appends a string into the buffer and fixes the buffer to use char characters. More...
CharMessageBuffer & | operator<< (char *msg)
| Appends a string into the buffer and fixes the buffer to use char characters. More...
CharMessageBuffer & | operator<< (const char msg)
| Appends a string into the buffer and fixes the buffer to use char characters. More...
const std::string & | str (CharMessageBuffer &buf)
| Get content of buffer. More...
const std::string & | str (std::ostream &os)
| Get content of buffer. More...
WideMessageBuffer & | operator<< (const std::wstring &msg)
| Appends a string into the buffer and fixes the buffer to use char characters. More...
WideMessageBuffer & | operator<< (const wchar_t *msg)
| Appends a string into the buffer and fixes the buffer to use char characters. More...
WideMessageBuffer & | operator<< (wchar_t *msg)
| Appends a string into the buffer and fixes the buffer to use char characters. More...
WideMessageBuffer & | operator<< (const wchar_t msg)
| Appends a string into the buffer and fixes the buffer to use char characters. More...
UniCharMessageBuffer & | operator<< (const std::basic_string< UniChar > &msg)
| Appends a string into the buffer and fixes the buffer to use char characters. More...
UniCharMessageBuffer & | operator<< (const UniChar *msg)
| Appends a string into the buffer and fixes the buffer to use char characters. More...
UniCharMessageBuffer & | operator<< (UniChar *msg)
| Appends a string into the buffer and fixes the buffer to use char characters. More...
UniCharMessageBuffer & | operator<< (const UniChar msg)
| Appends a string into the buffer and fixes the buffer to use char characters. More...
UniCharMessageBuffer & | operator<< (const CFStringRef &msg)
| Appends a string into the buffer and fixes the buffer to use char characters. More...
std::ostream & | operator<< (ios_base_manip manip)
| Insertion operator for STL manipulators such as std::fixed. More...
std::ostream & | operator<< (bool val)
| Insertion operator for built-in type. More...
std::ostream & | operator<< (short val)
| Insertion operator for built-in type. More...
std::ostream & | operator<< (int val)
| Insertion operator for built-in type. More...
std::ostream & | operator<< (unsigned int val)
| Insertion operator for built-in type. More...
std::ostream & | operator<< (long val)
| Insertion operator for built-in type. More...
std::ostream & | operator<< (unsigned long val)
| Insertion operator for built-in type. More...
std::ostream & | operator<< (float val)
| Insertion operator for built-in type. More...
std::ostream & | operator<< (double val)
| Insertion operator for built-in type. More...
std::ostream & | operator<< (long double val)
| Insertion operator for built-in type. More...
std::ostream & | operator<< (void *val)
| Insertion operator for built-in type. More...
const std::wstring & | str (WideMessageBuffer &buf)
| Get content of buffer. More...
const std::wstring & | str (std::basic_ostream< wchar_t > &os)
| Get content of buffer. More...
const std::basic_string< UniChar > & | str (UniCharMessageBuffer &buf)
| Get content of buffer. More...
const std::basic_string< UniChar > & | str (UniCharMessageBuffer::uostream &os)
| Get content of buffer. More...
bool | hasStream () const
| Returns true if buffer has an encapsulated STL stream. More...

## Detailed Description

This class is used by the LOG4CXX_INFO and similar macros to support insertion operators in the message parameter.

The class is not intended for use outside of that context.

## Constructor & Destructor Documentation

MessageBuffer | ( |  | ) |

Creates a new instance.

~MessageBuffer | ( |  | ) |

Destructor.

## Member Function Documentation

bool hasStream | ( |  | ) | const

Returns true if buffer has an encapsulated STL stream.

Returns
  true if STL stream was created.

operator std::ostream & | ( |  | ) |

Cast to ostream.

CharMessageBuffer& operator<< | ( | const std::string & | msg | ) |

Appends a string into the buffer and fixes the buffer to use char characters.

Parameters

  msg | message to append.

Returns
  encapsulated CharMessageBuffer.

CharMessageBuffer& operator<< | ( | const char * | msg | ) |

Appends a string into the buffer and fixes the buffer to use char characters.

Parameters

  msg | message to append.

Returns
  encapsulated CharMessageBuffer.

CharMessageBuffer& operator<< | ( | char * | msg | ) |

Appends a string into the buffer and fixes the buffer to use char characters.

Parameters

  msg | message to append.

Returns
  encapsulated CharMessageBuffer.

CharMessageBuffer& operator<< | ( | const char | msg | ) |

Appends a string into the buffer and fixes the buffer to use char characters.

Parameters

  msg | message to append.

Returns
  encapsulated CharMessageBuffer.

WideMessageBuffer& operator<< | ( | const std::wstring & | msg | ) |

Appends a string into the buffer and fixes the buffer to use char characters.

Parameters

  msg | message to append.

Returns
  encapsulated CharMessageBuffer.

WideMessageBuffer& operator<< | ( | const wchar_t * | msg | ) |

Appends a string into the buffer and fixes the buffer to use char characters.

Parameters

  msg | message to append.

Returns
  encapsulated CharMessageBuffer.

WideMessageBuffer& operator<< | ( | wchar_t * | msg | ) |

Appends a string into the buffer and fixes the buffer to use char characters.

Parameters

  msg | message to append.

Returns
  encapsulated CharMessageBuffer.

WideMessageBuffer& operator<< | ( | const wchar_t | msg | ) |

Appends a string into the buffer and fixes the buffer to use char characters.

Parameters

  msg | message to append.

Returns
  encapsulated CharMessageBuffer.

UniCharMessageBuffer& operator<< | ( | const std::basic_string< UniChar > & | msg | ) |

Appends a string into the buffer and fixes the buffer to use char characters.

Parameters

  msg | message to append.

Returns
  encapsulated CharMessageBuffer.

UniCharMessageBuffer& operator<< | ( | const UniChar * | msg | ) |

Appends a string into the buffer and fixes the buffer to use char characters.

Parameters

  msg | message to append.

Returns
  encapsulated CharMessageBuffer.

UniCharMessageBuffer& operator<< | ( | UniChar * | msg | ) |

Appends a string into the buffer and fixes the buffer to use char characters.

Parameters

  msg | message to append.

Returns
  encapsulated CharMessageBuffer.

UniCharMessageBuffer& operator<< | ( | const UniChar | msg | ) |

Appends a string into the buffer and fixes the buffer to use char characters.

Parameters

  msg | message to append.

Returns
  encapsulated CharMessageBuffer.

UniCharMessageBuffer& operator<< | ( | const CFStringRef & | msg | ) |

Appends a string into the buffer and fixes the buffer to use char characters.

Parameters

  msg | message to append.

Returns
  encapsulated CharMessageBuffer.

std::ostream& operator<< | ( | ios_base_manip | manip | ) |

Insertion operator for STL manipulators such as std::fixed.

Parameters

  manip | manipulator.

Returns
  encapsulated STL stream.

std::ostream& operator<< | ( | bool | val | ) |

Insertion operator for built-in type.

Parameters

  val | build in type.

Returns
  encapsulated STL stream.

std::ostream& operator<< | ( | short | val | ) |

Insertion operator for built-in type.

Parameters

  val | build in type.

Returns
  encapsulated STL stream.

std::ostream& operator<< | ( | int | val | ) |

Insertion operator for built-in type.

Parameters

  val | build in type.

Returns
  encapsulated STL stream.

std::ostream& operator<< | ( | unsigned int | val | ) |

Insertion operator for built-in type.

Parameters

  val | build in type.

Returns
  encapsulated STL stream.

std::ostream& operator<< | ( | long | val | ) |

Insertion operator for built-in type.

Parameters

  val | build in type.

Returns
  encapsulated STL stream.

std::ostream& operator<< | ( | unsigned long | val | ) |

Insertion operator for built-in type.

Parameters

  val | build in type.

Returns
  encapsulated STL stream.

std::ostream& operator<< | ( | float | val | ) |

Insertion operator for built-in type.

Parameters

  val | build in type.

Returns
  encapsulated STL stream.

std::ostream& operator<< | ( | double | val | ) |

Insertion operator for built-in type.

Parameters

  val | build in type.

Returns
  encapsulated STL stream.

std::ostream& operator<< | ( | long double | val | ) |

Insertion operator for built-in type.

Parameters

  val | build in type.

Returns
  encapsulated STL stream.

std::ostream& operator<< | ( | void * | val | ) |

Insertion operator for built-in type.

Parameters

  val | build in type.

Returns
  encapsulated STL stream.

const std::string& str | ( | CharMessageBuffer & | buf | ) |

Get content of buffer.

Parameters

  buf | used only to signal the character type and that the embedded stream was not used.

const std::string& str | ( | std::ostream & | os | ) |

Get content of buffer.

Parameters

  os | used only to signal the character type and that the embedded stream was used.

const std::wstring& str | ( | WideMessageBuffer & | buf | ) |

Get content of buffer.

Parameters

  buf | used only to signal the character type and that the embedded stream was not used.

const std::wstring& str | ( | std::basic_ostream< wchar_t > & | os | ) |

Get content of buffer.

Parameters

  os | used only to signal the character type and that the embedded stream was used.

const std::basic_string<UniChar>& str | ( | UniCharMessageBuffer & | buf | ) |

Get content of buffer.

Parameters

  buf | used only to signal the character type and that the embedded stream was not used.

const std::basic_string<UniChar>& str | ( | UniCharMessageBuffer::uostream & | os | ) |

Get content of buffer.

Parameters

  os | used only to signal the character type and that the embedded stream was used.

The documentation for this class was generated from the following file:

- messagebuffer.h